adinstbpm - Task #17723
Milestone # 17719 (New): Booster operational test of one crate alongside existing BPM system

Task # 17720 (Work in progress): Booster BPM ACNET Interface

ACNET device BPM Digitizer Raw Data (0x0013)
09/15/2017 11:15 AM - John Diamond

Status: Resolved Start date: 09/15/2017
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 4.00 hours
Target version: Spent time: 8.00 hours
Description

Implement Booster BPM ACNET device 0x0013.

History

#1 - 09/18/2017 10:45 AM - John Diamond

In the existing (old) Booster BPM system the positions are calculated by electronics before the signal is digitized . So the meaning of "raw" in this
device is not the same as in our case where we have 2 signals (an A and B plate) to digitize per BPM and the raw data is actually not used for
position calculations. In our version of this device we will return the DDC magnitude data, which most closely resembles what was returned by the
existing system. Each BPM will have two devices for "raw" data with the plate coded in the SSDN type field with 00 = plate A and 01 = plate B. The
SSDN channel field will identify the BPM by it's index in the BPM table.

#2 - 09/19/2017 03:16 PM - John Diamond
- Status changed from Assigned to Work in progress

- % Done changed from 0 to 100

In the course of working on this device | refactored the Crate and BPM ACNET devices into two separate cdev drivers: boosterbpm_acsys (for BPM
specific devices) and boostercrate_acsys (for crate wide devices). The BPM-specific devices are mapped directly to a BPM (by name) from the
erlang/ACSYS configuration file (see: bpmd.config).

Implemented the raw data device as BoosterBPMDevice::rawDataRead(..) and the setting property as ::rawDataOffsetRead()/rawDataOffsetWrite().

Created two test stand devices:

e Z:BTA900 (plate A)
e Z:BTB90O (plate B)

#3 - 10/18/2017 08:18 PM - John Diamond

- Status changed from Work in progress to Resolved
